Problem updating

Hi everyone, I’m trying to update my sys with pacman -Syu, but have been getting these errors for at least a week. garuda-update produces identical errors. I realize I should only do that now, and no more pacman -Syu, but again, still has same errors at moment.

:: Starting full system upgrade... warning: lib32-libffi: ignoring package upgrade (3.4.4-1 => 3.4.6-1) warning: virt-manager-meta: local (5-4.3) is newer than garuda (5-4) resolving dependencies... looking for conflicting packages... error: failed to prepare transaction (could not satisfy dependencies) :: installing libffi (3.4.6-1) breaks dependency 'libffi=3.4.4' required by lib32-libffi :: installing nvidia-utils (550.54.14-1) breaks dependency 'nvidia-utils=545.29.06' required by nvidia-dkms

Tried searching evrywhere, but no one seems to be having similar issues. I thought might just have been something that would get ironed out soon enough, but its still that way after a while

Any suggestions on what to change? Do I need to downgrade something? I guess adding lib32-libffi to pkgIgnore didn’t help

Here is my gaurda-inxi:

System:
Kernel: 6.7.5-zen1-1-zen arch: x86_64 bits: 64 compiler: gcc v: 13.2.1
clocksource: tsc avail: acpi_pm
parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-zen
root=UUID=219f04f8-c9e0-400f-9d0d-043e8bfeff04 rw rootflags=subvol=@
quiet
cryptdevice=UUID=52208f8d-eb2d-4f13-aa58-a362bbe116ae:luks-52208f8d-eb2d-4f13-aa58-a362bbe116ae
root=/dev/mapper/luks-52208f8d-eb2d-4f13-aa58-a362bbe116ae
rd.udev.log_priority=3 vt.global_cursor_default=0
systemd.unified_cgroup_hierarchy=1 loglevel=3 psi=1 ibt=off
Desktop: KDE Plasma v: 5.27.10 tk: Qt v: 5.15.12 info: frameworks
v: 5.115.0 wm: kwin_x11 with: krunner vt: 2 dm: SDDM Distro: Garuda
base: Arch Linux
Machine:
Type: Laptop System: Dell product: XPS 17 9710 v: N/A
serial: <superuser required> Chassis: type: 10 serial: <superuser required>
Mobo: Dell model: 0Y1K2K v: A01 serial: <superuser required> part-nu: 0A5D
uuid: <superuser required> UEFI: Dell v: 1.4.1 date: 09/08/2021
Battery:
ID-1: BAT0 charge: 85.4 Wh (100.0%) condition: 85.4/95.1 Wh (89.9%)
volts: 12.3 min: 11.4 model: BYD DELL F8CPG1A type: Li-poly serial: <filter>
status: full
CPU:
Info: model: 11th Gen Intel Core i7-11800H bits: 64 type: MT MCP
arch: Tiger Lake gen: core 11 level: v4 note: check built: 2020
process: Intel 10nm family: 6 model-id: 0x8D (141) stepping: 1
microcode: 0x4E
Topology: cpus: 1x cores: 8 tpc: 2 threads: 16 smt: enabled cache:
L1: 640 KiB desc: d-8x48 KiB; i-8x32 KiB L2: 10 MiB desc: 8x1.2 MiB
L3: 24 MiB desc: 1x24 MiB
Speed (MHz): avg: 1041 high: 2247 min/max: 800/4600 scaling:
driver: intel_pstate governor: performance cores: 1: 1057 2: 1965 3: 800
4: 800 5: 800 6: 1788 7: 800 8: 800 9: 800 10: 2247 11: 800 12: 800
13: 800 14: 800 15: 800 16: 800 bogomips: 73728
Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx
Vulnerabilities: <filter>
Graphics:
Device-1: Intel TigerLake-H GT1 [UHD Graphics] vendor: Dell driver: i915
v: kernel arch: Gen-12.1 process: Intel 10nm built: 2020-21 ports:
active: DP-1 off: eDP-1 empty: DP-2,DP-3,DP-4 bus-ID: 00:02.0
chip-ID: 8086:9a60 class-ID: 0300
Device-2: NVIDIA GA107M [GeForce RTX 3050 Mobile] vendor: Dell
driver: nvidia v: 545.29.06 alternate: nouveau,nvidia_drm non-free: 545.xx+
status: current (as of 2024-02; EOL~2026-12-xx) arch: Ampere code: GAxxx
process: TSMC n7 (7nm) built: 2020-2023 pcie: gen: 1 speed: 2.5 GT/s
lanes: 8 link-max: gen: 4 speed: 16 GT/s lanes: 16 bus-ID: 01:00.0
chip-ID: 10de:25a2 class-ID: 0302
Display: x11 server: X.Org v: 21.1.11 with: Xwayland v: 23.2.4
compositor: kwin_x11 driver: X: loaded: modesetting,nvidia unloaded: nouveau
alternate: fbdev,intel,nv,vesa dri: iris gpu: i915 display-ID: :0
screens: 1
Screen-1: 0 s-res: 4096x2160 s-dpi: 96 s-size: 1083x571mm (42.64x22.48")
s-diag: 1224mm (48.2")
Monitor-1: DP-1 pos: primary model: LG (GoldStar) TV SSCR2
serial: <filter> built: 2023 res: 4096x2160 dpi: 65 gamma: 1.2
size: 1600x900mm (62.99x35.43") diag: 1836mm (72.3") ratio: 16:9 modes:
max: 3840x2160 min: 720x400
Monitor-2: eDP-1 note: disabled model: Sharp 0x1517 built: 2021
res: 4096x2160 dpi: 266 gamma: 1.2 size: 366x229mm (14.41x9.02")
diag: 432mm (17") ratio: 16:10 modes: 3840x2400
API: EGL v: 1.5 hw: drv: intel iris drv: nvidia platforms: device: 0
drv: nvidia device: 2 drv: iris device: 3 drv: swrast gbm: drv: nvidia
surfaceless: drv: nvidia x11: drv: iris inactive: wayland,device-1
API: OpenGL v: 4.6.0 compat-v: 4.5 vendor: intel mesa v: 24.0.1-arch1.1
glx-v: 1.4 direct-render: yes renderer: Mesa Intel UHD Graphics (TGL GT1)
device-ID: 8086:9a60 memory: 14.99 GiB unified: yes
API: Vulkan v: 1.3.276 layers: 4 device: 0 type: integrated-gpu name: Intel
UHD Graphics (TGL GT1) driver: mesa intel v: 24.0.1-arch1.1
device-ID: 8086:9a60 surfaces: xcb,xlib device: 1 type: discrete-gpu
name: NVIDIA GeForce RTX 3050 Laptop GPU driver: nvidia v: 545.29.06
device-ID: 10de:25a2 surfaces: xcb,xlib device: 2 type: cpu name: llvmpipe
(LLVM 16.0.6 256 bits) driver: mesa llvmpipe v: 24.0.1-arch1.1 (LLVM
16.0.6) device-ID: 10005:0000 surfaces: xcb,xlib
Audio:
Device-1: Intel Tiger Lake-H HD Audio vendor: Dell
driver: sof-audio-pci-intel-tgl
alternate: snd_hda_intel,snd_sof_pci_intel_tgl bus-ID: 00:1f.3
chip-ID: 8086:43c8 class-ID: 0401
API: ALSA v: k6.7.5-zen1-1-zen status: kernel-api with: aoss
type: oss-emulator tools: alsactl,alsamixer,amixer
Server-1: PipeWire v: 1.0.3 status: active with: 1: pipewire-pulse
status: active 2: wireplumber status: active 3: pipewire-alsa type: plugin
4: pw-jack type: plugin tools: pactl,pw-cat,pw-cli,wpctl
Network:
Device-1: Intel Tiger Lake PCH CNVi WiFi vendor: Rivet Networks
driver: iwlwifi v: kernel bus-ID: 00:14.3 chip-ID: 8086:43f0 class-ID: 0280
IF: Waifu state: down mac: <filter>
Device-2: ASIX AX88179 Gigabit Ethernet driver: cdc_ncm type: USB rev: 3.2
speed: 5 Gb/s lanes: 1 mode: 3.2 gen-1x1 bus-ID: 2-1.2:3 chip-ID: 0b95:1790
class-ID: 0a00 serial: <filter>
IF: WiredPFS state: down mac: <filter>
Device-3: Realtek RTL8153 Gigabit Ethernet Adapter driver: r8152 type: USB
rev: 3.0 speed: 5 Gb/s lanes: 1 mode: 3.2 gen-1x1 bus-ID: 2-1.3:4
chip-ID: 0bda:8153 class-ID: 0000 serial: <filter>
IF: Wired state: up speed: 1000 Mbps duplex: full mac: <filter>
IF-ID-1: br10 state: down mac: <filter>
Info: services: NetworkManager, smbd, sshd, systemd-timesyncd
Bluetooth:
Device-1: Intel AX201 Bluetooth driver: btusb v: 0.8 type: USB rev: 2.0
speed: 12 Mb/s lanes: 1 mode: 1.1 bus-ID: 3-14:3 chip-ID: 8087:0026
class-ID: e001
Report: rfkill ID: hci0 rfk-id: 0 state: down bt-service: disabled
rfk-block: hardware: no software: yes address: see --recommends
Drives:
Local Storage: total: 476.94 GiB used: 207.27 GiB (43.5%)
SMART Message: Unable to run smartctl. Root privileges required.
ID-1: /dev/nvme0n1 maj-min: 259:0 vendor: SK Hynix model: PC711 NVMe 512GB
size: 476.94 GiB block-size: physical: 512 B logical: 512 B speed: 31.6 Gb/s
lanes: 4 tech: SSD serial: <filter> fw-rev: 41001131 temp: 36.9 C
scheme: GPT
Partition:
ID-1: / raw-size: 476.68 GiB size: 476.68 GiB (100.00%)
used: 207.27 GiB (43.5%) fs: btrfs dev: /dev/dm-0 maj-min: 254:0
mapped: luks-52208f8d-eb2d-4f13-aa58-a362bbe116ae
ID-2: /boot/efi raw-size: 260 MiB size: 256 MiB (98.46%)
used: 716 KiB (0.3%) fs: vfat dev: /dev/nvme0n1p1 maj-min: 259:1
ID-3: /home raw-size: 476.68 GiB size: 476.68 GiB (100.00%)
used: 207.27 GiB (43.5%) fs: btrfs dev: /dev/dm-0 maj-min: 254:0
mapped: luks-52208f8d-eb2d-4f13-aa58-a362bbe116ae
ID-4: /var/log raw-size: 476.68 GiB size: 476.68 GiB (100.00%)
used: 207.27 GiB (43.5%) fs: btrfs dev: /dev/dm-0 maj-min: 254:0
mapped: luks-52208f8d-eb2d-4f13-aa58-a362bbe116ae
ID-5: /var/tmp raw-size: 476.68 GiB size: 476.68 GiB (100.00%)
used: 207.27 GiB (43.5%) fs: btrfs dev: /dev/dm-0 maj-min: 254:0
mapped: luks-52208f8d-eb2d-4f13-aa58-a362bbe116ae
Swap:
Kernel: swappiness: 180 (default 60) cache-pressure: 100 (default) zswap: no
ID-1: swap-1 type: zram size: 15.35 GiB used: 0 KiB (0.0%) priority: 100
comp: zstd avail: lzo,lzo-rle,lz4,lz4hc,842 max-streams: 16 dev: /dev/zram0
Sensors:
System Temperatures: cpu: 45.0 C mobo: 32.0 C
Fan Speeds (rpm): cpu: 0
Info:
Memory: total: 16 GiB note: est. available: 15.35 GiB used: 6.17 GiB (40.2%)
Processes: 364 Power: uptime: 54m states: freeze,mem,disk suspend: s2idle
wakeups: 0 hibernate: platform avail: shutdown, reboot, suspend, test_resume
image: 6.13 GiB services: org_kde_powerdevil,upowerd Init: systemd v: 255
default: graphical tool: systemctl
Packages: pm: pacman pkgs: 1817 libs: 460 tools: pamac,paru,yay Compilers:
clang: 16.0.6 gcc: 13.2.1 alt: 12 Shell: garuda-inxi default: Zsh v: 5.9
running-in: konsole inxi: 3.3.33
Garuda (2.6.23-1):
System install date:     2023-07-23
Last full system update: 2024-02-14
Is partially upgraded:   Yes
Relevant software:       timeshift NetworkManager mkinitcpio nvidia-dkms
Windows dual boot:       No/Undetected
Failed units:            logrotate.service NetworkManager-wait-online.service

Don’t use pacman -Syu. This isn’t Arch. Use garuda-update.

1 Like

Hi there, welcome to the forum.
This

Means that you have the Arch extra-tesing repo configured in your pacman conf.
That’s very risky.
In my opinion you should remove that.
Please provide the content of your /etc/pacman.conf.

4 Likes

As to pacman -Syu, yes, noted.

Okay, I will try to see if can tick that repo off

Here is /etc/pacman.conf :

# /etc/pacman.conf
#
#
# See the pacman.conf(5) manpage for option and repository directives

#
# GENERAL OPTIONS
#
[options]
# RootDir = /
# DBPath = /var/lib/pacman/
CacheDir = /var/cache/pacman/pkg/
# LogFile = /var/log/pacman.log
# GPGDir = /etc/pacman.d/gnupg/
# HookDir = /etc/pacman.d/hooks/
HoldPkg = pacman glibc garuda-system
# XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
# XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u
# CleanMethod = KeepInstalled
Architecture = auto
IgnorePkg = lib32-libffi 3.4.4-1
# IgnorePkg =
# IgnoreGroup =
# NoUpgrade =
# NoExtract =

It’s not complete.
Anyway for sure you have to remove this ignore.

Otherwise libffi cannot be updated, I think independently from the decisione to stay in extra-tesing or not.

2 Likes

I’m sorry, which is not complete? Do you mean the /etc/pacman.conf? Just want to make sure know what you mean

Yes, I have removed that repo, and will also undo the ignore. I had added it after first started having this problem, and it clearly didn’t do anything to fix it

Yes, I don’t see the repositories in the /etc/pacman.conf.
Post the new and complete file.
If the extra-testing was there since some time, you might need this
https://wiki.archlinux.org/title/Official_repositories#Disabling_testing_repositories

Perform a pacman -Syuu to “rollback” your updates from these repositories.
The second item is optional, but keep it in mind if you notice any problems.

3 Likes

Okay, tried again:

garuda-update
:: Synchronizing package databases...
garuda is up to date
testing is up to date
core is up to date
extra is up to date
multilib-testing is up to date
multilib is up to date
chaotic-aur                          2.5 MiB  1112 KiB/s 00:02 [-----------------------------------] 100%

--> Refreshing mirrorlists using reflector, please be patient..🍵
[2024-02-24 01:08:05] WARNING: failed to rate http(s) download (https://mirror.telepoint.bg/archlinux/extra/os/x86_64/extra.db): Download timed out after 5 second(s).
[2024-02-24 01:08:18] WARNING: failed to rate http(s) download (https://md.mirrors.hacktegic.com/archlinux/extra/os/x86_64/extra.db): Download timed out after 5 second(s).

:: Synchronizing package databases...
garuda downloading...
testing downloading...
core downloading...
extra downloading...
multilib-testing downloading...
multilib downloading...
chaotic-aur downloading...
:: Starting full system upgrade...
warning: virt-manager-meta: local (5-4.3) is newer than garuda (5-4)
resolving dependencies...
looking for conflicting packages...
:: nvidia-utils-beta and nvidia-utils are in conflict. Remove nvidia-utils? [y/N]

Interestingly enough, maybe that repo was causing some of it, as I first started having the issue with libffi & not nvidia anything

But wondering what should do about that part

Just updated my previous post.

1 Like

Sorry, I can’t figure out how to select all the text from pacman.conf so i can then use Shift/Ctrl/C to copy it
Or i guess I mean, I don’t know how to copy all of it from that text in the editor

sudo pacman -Syuu
1 Like

Remove also those in pacman.conf before downgrading.
Any testing please.

2 Likes

Gotcha…

Okay, tried again with -Syuu , as u suggested, & it’s going through now : - )
:pray:

1 Like

We always mark here the solution and not the implementation. :slight_smile:

garuda welcome 2

2 Likes

For future readers/searchers, I marked the post linking the Arch wiki article as solution, because it focuses exactly on this type of issues.

3 Likes

Open it in any graphical text editor and hit ctrl + a then copy it with ctrl+c .

From command line you can cat the file and pipe the output to your clipboard or a pastebin and send the pastebin link here.

Or in vim you can go to the top of the file with gg then hit V to enter visual line mode and press G to go to the bottom of the file selecting everything. Then press whatever keybind you have to shove that text in your system clipboard.

1 Like

Micro also uses these keybindings (Ctrl+A to select all, and Ctrl+C to copy). Micro is a terminal-based editor that uses common keybindings you may be used to from “ordinary” applications.

1 Like

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.